Overview | Modules | Class Hierarchy | Classes | Members
# tlp::GlCompositeHierarchyManager Class Reference `#include <GlCompositeHierarchyManager.h>` List of all members. ## Detailed Description Create a GlComposite item for each and every graph and subgraph. This class observes the graph to update said hierarchy when a subgraph is added or deleted. ## Public Member Functions GlCompositeHierarchyManager (Graph *graph, GlLayer *layer, std::string layerName, LayoutProperty *layout, SizeProperty *size, DoubleProperty *rotation, bool visible=false, std::string namingProperty="name", std::string subCompositeSuffix=" sub-hulls") ~GlCompositeHierarchyManager () virtual void addSubGraph (Graph *, Graph *) virtual void delSubGraph (Graph *, Graph *) virtual void afterSetAttribute (Graph *, const std::string &) virtual void beforeSetAttribute (Graph *, const std::string &) void setGraph (tlp::Graph *graph) DataSet getData () void setData (DataSet dataSet) void createComposite () void setVisible (bool visible) bool isVisible () const ## Constructor & Destructor Documentation
tlp::GlCompositeHierarchyManager::GlCompositeHierarchyManager | ( | Graph * | graph,
|  | GlLayer * | layer,
|  | std::string | layerName,
|  | LayoutProperty * | layout,
|  | SizeProperty * | size,
|  | DoubleProperty * | rotation,
|  | bool | visible = `false`,
|  | std::string | namingProperty = `"name"`,
|  | std::string | subCompositeSuffix = `" sub-hulls"`
| ) |
tlp::GlCompositeHierarchyManager::~GlCompositeHierarchyManager | ( |  | ) |
## Member Function Documentation
virtual void tlp::GlCompositeHierarchyManager::addSubGraph | ( | Graph * | ,
|  | Graph * |
| ) | `[virtual]`
virtual void tlp::GlCompositeHierarchyManager::afterSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`
virtual void tlp::GlCompositeHierarchyManager::beforeSetAttribute | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`
void tlp::GlCompositeHierarchyManager::createComposite | ( |  | ) |
virtual void tlp::GlCompositeHierarchyManager::delSubGraph | ( | Graph * | ,
|  | Graph * |
| ) | `[virtual]`
DataSet tlp::GlCompositeHierarchyManager::getData | ( |  | ) |
bool tlp::GlCompositeHierarchyManager::isVisible | ( |  | ) | const
void tlp::GlCompositeHierarchyManager::setData | ( | DataSet | dataSet | ) |
void tlp::GlCompositeHierarchyManager::setGraph | ( | tlp::Graph * | graph | ) |
void tlp::GlCompositeHierarchyManager::setVisible | ( | bool | visible | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010